<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

function parse_mysql_dump($filename){
	global $success;
	$templine = '';
	
	$lines = file($filename);
	foreach ($lines as $line_num => $line) {
		if (substr($line, 0, 2) != '--' && $line != '') {
			$templine .= $line;
			if (substr(trim($line), -1, 1) == ';') {
				if (!mysql_query($templine)) {
					$success = false;
					echo "Error performing query <b>".$templine."</b>:".mysql_error()."<br />";
				}
				$templine = '';
			}
		}
	}
}

function writeConfigFile($host,$username,$password,$name) {
		global $success;
		
		$content = "<?php\n";
		$content .= "\n";
		$content .= "/********************************************************************************\n";
		$content .= "	- MemHT Portal -\n";
		$content .= "\n";				
		$content .= "	Copyright (C) 2007-2008 by Miltenovik Manojlo\n";
		$content .= "	http://www.memht.com\n";
		$content .= "\n";				
		$content .= "	This program is free software; you can redistribute it and/or modify\n";
		$content .= "	it under the terms of the GNU General Public License as published by\n";
		$content .= "	the Free Software Foundation; either version 2 of the License, or\n";
		$content .= "	(at your opinion) any later version.\n";
		$content .= "\n";				
		$content .= "	This program is distributed in the hope that it will be useful,\n";
		$content .= "	but WITHOUT ANY WARRANTY; without even the implied warranty of\n";
		$content .= "	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the\n";
		$content .= "	GNU General Public License for more details.\n";
		$content .= "\n";				
		$content .= "	You should have received a copy of the GNU General Public License along\n";
		$content .= "	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)\n";
		$content .= "	or write to the Free Software Foundation, Inc., 51 Franklin Street,\n";
		$content .= "	Fifth Floor, Boston, MA02110-1301, USA.\n";
		$content .= "\n";		
		$content .= "********************************************************************************/\n";
		$content .= "\n";
		$content .= "if (stristr(htmlentities(\$_SERVER['PHP_SELF']), \"inc_config.php\")) {\n";
		$content .= "	die(\"<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>\");\n";
		$content .= "}\n";
		$content .= "\n";
		$content .= "//===================================\n";
		$content .= "//CONFIGURATION\n";
		$content .= "//===================================\n";
		$content .= "\n";
		$content .= "\$db_host = \"$host\"; //MySQL Host\n";
		$content .= "\$db_user = \"$username\"; //MySQL Username\n";
		$content .= "\$db_pass = \"$password\"; //MySQL Password\n";
		$content .= "\$db_name = \"$name\"; //MySQL Database Name\n";
		$content .= "\n";
		$content .= "\$siteConfig['default_language'] = \"english\"; //Default language\n";
		$content .= "\$siteConfig['adminlog'] = true; //(true|false) - Log some admin activities\n";
		$content .= "\n";
		$content .= "?>\n";
		
		$myfile = '../inc/inc_config.php';
		if (is_writable('../inc/')) {
			$handle = fopen($myfile, 'w');
			fwrite($handle, $content);
			fclose($handle);
			$success = true;
		} else {
			$success = false;
			echo "<div class='title'>Warning</div>\n";
			echo "<div class='spacer'></div>\n";
			echo "<div class='box'>\n";
				echo "<div class='error'><b>The folder root/inc/ does not exist or is not writable!</b></div>\n";
				echo "<div><b>What to do?</b></div>";
				echo "<div>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src='images/sub.gif'> Download the configuration file from <a href='output.php?h=$host&u=$username&p=$password&n=$name' target='_blank'><b style='color:#990000;'>HERE</b></a> and upload it into the root/inc/folder.<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The final configuration file path must be: root/inc/inc_config.php<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src='images/sub.gif'> When done, continue the installation wizard.</div>\n";
			echo "</div>\n";
			echo "<div class='spacer'></div>\n";
		}
}

function inCode($string) {
	if (get_magic_quotes_gpc()) { $string = stripslashes($string); }
	$string = htmlspecialchars($string,ENT_QUOTES);
	$string = str_replace("'","&#039;",$string); //2 passes is better than 1 :\
	return addslashes($string);
}

?>